Skip to main content
POST
/
tiktok
/
scheduled_posts
Create a TikTok post
curl --request POST \
  --url https://scheduler.dashsocial.com/tiktok/scheduled_posts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand_id": 1,
  "auto_publish": true,
  "text": "<string>",
  "media_ids": [
    1
  ],
  "timestamp": "2023-11-07T05:31:56Z",
  "disable_comment": false,
  "disable_duet": false,
  "disable_stitch": false,
  "thumbnail_offset": 1,
  "approval_requests": [
    {
      "requested_by_user_id": 123,
      "review_user_id": 123
    }
  ],
  "board_ids": [
    1
  ],
  "callback_socket_id": "<string>",
  "campaign_ids": [
    1
  ],
  "content_tag_ids": [
    1
  ],
  "duplicate_to_brand_ids": [
    1
  ],
  "post_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sort_index": 123,
  "thumbnail_url": "<string>",
  "title": null
}
'
{
  "code": 123,
  "errors": {},
  "message": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint has platform-specific fields and publishing rules. See the full scheduling guide for a complete walkthrough including media upload, publishing modes, and examples.

TikTok-specific fields

ParameterDescription
textCaption for the TikTok post
disable_commentOptional. Set to true to disable comments on the post.
disable_duetOptional. Set to true to prevent users from creating duets with the video.
disable_stitchOptional. Set to true to prevent users from stitching the video.

Publishing modes

Modestatusauto_publishtimestamp
Publish immediatelyAUTOPUBLISHINGtrueNot required
Schedule for laterSCHEDULEDtrueRequired
Save as draftDRAFTtrue or falseOptional

Example request

{
  "auto_publish": true,
  "brand_id": 144,
  "status": "SCHEDULED",
  "text": "Behind the scenes of our launch",
  "media_ids": [621242772],
  "timestamp": "2026-03-10T15:00:00Z",
  "disable_comment": false,
  "disable_duet": false,
  "disable_stitch": false
}

Notes

  • TikTok only supports video media. Image uploads are not supported.
  • Auto-publish posts require video media. Drafts can be created without media.
  • Only 1 video can be attached to a TikTok post.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
brand_id
integer

The id of the brand to which the post belongs.

Required range: x >= 0
auto_publish
boolean

Whether the post should be auto published.

status
enum<string>

The current status of the post.

Available options:
AUTOPUBLISHING,
DRAFT,
EXPIRED,
FAILED,
IMPORTED,
MISSING_APPROVALS,
PARTIALLY_FAILED,
POSTED,
SCHEDULED,
SKIPPED,
USERS_NOTIFIED
text
string

The text of the post.

media_ids
integer[]

The list of the media ids attached to the post.

Required range: x >= 0
timestamp
string<date-time> | null

The scheduled date & time for publishing the post.

disable_comment
boolean
default:false

Whether to allow comments on the post

disable_duet
boolean
default:false

Whether to allow others to duet the post

disable_stitch
boolean
default:false

Whether to allow others to stitch with the post

thumbnail_offset
integer | null

Thumbnail offset in milliseconds

Required range: x >= 0
branded_content_type
enum<string> | null

Branded content type of the TikTok post.

Available options:
promoted,
paid_partnership,
null
music_info
object

Trending sound data for the TikTok post. Null if no trending sound is selected.

approval_policy
enum<string>

The approval policy of the approval request

Available options:
APPROVAL_REQUIRED,
APPROVAL_NOT_REQUIRED
approval_requests
object[]

The list of approval requests associated with the post.

board_ids
integer[]

The list of the board ids associated with the post.

Required range: x >= 0
callback_socket_id
string
campaign_ids
integer[]

The list of the campaign ids associated with the post.

Required range: x >= 0
content_tag_ids
integer[]

The list of the content tag ids associated with the post.

Required range: x >= 0
creation_source
enum<string>

To identify the user or the application that created the post.

Available options:
RSS_FEED
duplicate_to_brand_ids
integer[]
write-only

The list of duplicate to brand ids.

Maximum array length: 55
Required range: x >= 0
post_group_id
string<uuid>

The id of the post group associated with the post.

sort_index
number

The sorted index for unscheduled posts.

thumbnail_url
string<url> | null

Image URL to be displayed as a thumbnail in the DH user interface.

title
string | null

Response

Unprocessable Entity

code
integer

Error code

errors
object

Errors

message
string

Error message

status
string

Error name